#
# spec file for package koffice (Version 1.5.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           koffice
BuildRequires:  ImageMagick-devel OpenEXR-devel aspell-devel doxygen graphviz kdebindings3-javascript kdelibs3-devel kdelibs3-devel-doc libexif libpqxx-devel mysql-devel postgresql-devel python-devel qt3-devel-doc readline-devel sqlite-devel wv2-devel update-desktop-files
%if %suse_version < 1001
BuildRequires:  wv2
%endif
%if %suse_version > 1000
BuildRequires:  libwpd-devel
%endif
%if %suse_version > 930
BuildRequires:  ruby-devel
%endif
URL:            http://www.koffice.org
License:        GPL, LGPL
Group:          Productivity/Office/Suite
Summary:        Libraries and Base Files for the KDE Office Suite
Version:        1.5.2
Release:        4.1
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        koffice-%{version}.tar.bz2
Source4:        api_docu_description
Source5:        esstix.zip
#Patch0:       1_5_BRANCH.diff
Patch1:         fixme.diff
Patch5:         fix-compile.diff
Patch7:         kross-ruby.diff
Patch8:         libexif0610.diff

%description
Base files and libraries for koffice applications. The applications are
in these packages:

koffice-wordprocessing koffice-spreadsheet koffice-illustration
koffice-presentation koffice-database koffice-planning koffice-extra



Authors:
--------
    The KDE Team <kde@kde.org>

%package python
Summary:        Python support and scripts for KOffice scripting
Group:          Productivity/Office/Suite

%description python
Python support and scripts for KOffice's "kross" scripting library



Authors:
--------
    The KDE Team <kde@kde.org>

%if %suse_version > 930
%package ruby
Summary:        Ruby support and scripts for KOffice scripting
Group:          Productivity/Office/Suite

%description ruby
Ruby support and scripts for KOffice's "kross" scripting library



Authors:
--------
    The KDE Team <kde@kde.org>

%endif
%package devel
Requires:       koffice kdelibs3-devel
Summary:        The Build Enviroment from KOffice
Group:          Development/Libraries/KDE

%description devel
The build environment from KOffice is needed to compile koffice
applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%package database
Summary:        Database applications based on KOffice libraries (kexi)
Group:          Productivity/Databases/Clients

%description database
This package contains the KOffice database application Kexi.



Authors:
--------
    The KDE Team <kde@kde.org>

%package database-mysql
Summary:        KOffice Database application MySQL backend
Group:          Productivity/Databases/Clients

%description database-mysql
This package contains the KOffice database application Kexi's MySQL
driver



Authors:
--------
    The KDE Team <kde@kde.org>

%package database-psql
Summary:        KOffice Database application PostgreSQL backend
Group:          Productivity/Databases/Clients

%description database-psql
This package contains the KOffice database application Kexi's
PostgreSQL driver



Authors:
--------
    The KDE Team <kde@kde.org>

%package wordprocessing
# usesubdirs kword kformula filters/kword tools/thesaurus tools/kthesaurus tools/spell autocorrect doc/kword doc/thesaurus doc/kformula kpdfimport
Summary:        A KDE Word Processor
Group:          Productivity/Publishing/Word
Provides:       koffice:/opt/kde3/bin/kword

%description wordprocessing
Needed applications for word processing:

kword--a classic word processor kthesaurus--a tool for replacing a word
with a synonym kformula--a tool for creating math symbols and formulas



Authors:
--------
    The KDE Team <kde@kde.org>

%package spreadsheet
# usesubdirs kspread kchart filters/kspread doc/kspread
# filters/excel97
Summary:        A Spreadsheet for KDE
Group:          Productivity/Office/Spreadsheets
Provides:       koffice:/opt/kde3/bin/kspread

%description spreadsheet
This package contains:

kspread--a classic spreadsheet application, which can show diagrams via
kchart kchart--to create diagrams



Authors:
--------
    The KDE Team <kde@kde.org>

%package presentation
# usesubdirs kpresenter filters/kpresenter doc/kpresenter
# filters/powerpoint97
Summary:        A KOffice Program to Create Presentations
Group:          Productivity/Publishing/Presentation
Provides:       koffice:/opt/kde3/bin/kpresenter

%description presentation
Kpresenter can create and show presentation slides.



Authors:
--------
    The KDE Team <kde@kde.org>

%package illustration
# usesubdirs kivio karbon filters/karbon doc/kivio
Summary:        Illustration and Image Manipulation Applications Based on KOffice Libraries (krita, karbon, kivio)
Group:          Productivity/Graphics/Vector Editors
Obsoletes:      kivio
Provides:       kivio
%if %suse_version > 1000
Recommends:     koffice-illustration-plugins
%endif

%description illustration
This package contains the koffice illustration applications:

* krita--Image manipulation application

* karbon--A vector drawing application

* kivio--A flow chart drawing application



Authors:
--------
    The KDE Team <kde@kde.org>

%package planning
# usesubdirs kplato
Summary:        Project managent applications based on KOffice libraries
Group:          Productivity/Office/Organizers
Provides:       koffice:/opt/kde3/bin/kplato

%description planning
This package contains the KOffice project management application
KPlato.



Authors:
--------
    The KDE Team <kde@kde.org>

%package extra
# usesubdirs kugar doc/kugar filters/kugar
Summary:        Small Add-On Applications for KOffice
Group:          Productivity/Office/Other
Obsoletes:      kugar
Provides:       kugar
Provides:       koffice:/opt/kde3/bin/kugar

%description extra
This package contains small add-on applications for KOffice:

Kugar--A report viewer that shows reports from XML files.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n koffice-%version
#%patch
%patch1
%patch5
%patch7
%if %suse_version == 920
%patch8
%endif
rm -rf ascend
. /etc/opt/kde3/common_options
%if %suse_version > 930
update_admin
%endif

%build
. /etc/opt/kde3/common_options
export CFLAGS="-fno-strict-aliasing $CFLAGS"
./configure $configkde --with-pgsqlincdir=/usr/include/pgsql --with-pgsqllibdir=/usr/lib --with-pqxxincdir=/usr/include/pqxx --with-pqxxlibdir=/usr/lib
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=${RPM_BUILD_ROOT} $INSTALL_TARGET
%if %{?opensuse_bs:1}0
rm $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/image/x-raw.desktop
%endif
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp
pushd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp
%if 0
unzip %SOURCE5
for i in *.TTF ; do
    mv "$i" "`echo $i|tr '[A-Z]' '[a-z]'`"
done 
chmod 0644 *.ttf
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/config/
echo "[kformula Font]"  >> $RPM_BUILD_ROOT/opt/kde3/share/config/kformularc
echo "fontStyle=esstix" >> $RPM_BUILD_ROOT/opt/kde3/share/config/kformularc
%endif
%suse_update_desktop_file kudesigner    Office FlowChart
%suse_update_desktop_file kivio		Office FlowChart
%suse_update_desktop_file kchart	Office FlowChart
%suse_update_desktop_file kexi		Office Database
%suse_update_desktop_file -r krita	Graphics RasterGraphics
%suse_update_desktop_file -r karbon     Graphics VectorGraphics
%suse_update_desktop_file kpresenter	Office Presentation
%suse_update_desktop_file kspread	Office Spreadsheet
%suse_update_desktop_file -u KThesaurus Office
%suse_update_desktop_file -u kformula   Office
%suse_update_desktop_file kword		Office WordProcessor
%suse_update_desktop_file -u koshell    Office Core-Office
%suse_update_desktop_file kplato        Office ProjectManagement

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%run_ldconfig

%postun
%run_ldconfig

%post wordprocessing
%run_ldconfig

%postun wordprocessing
%run_ldconfig

%post spreadsheet
%run_ldconfig

%postun spreadsheet
%run_ldconfig

%post presentation
%run_ldconfig

%postun presentation
%run_ldconfig

%post illustration
%run_ldconfig

%postun illustration
%run_ldconfig

%post extra
%run_ldconfig

%postun extra
%run_ldconfig

%files
%defattr(-,root,root)
%dir /opt/kde3/share/icons/*/*/apps
%dir /opt/kde3/share/apps/koffice
%dir /opt/kde3/share/templates
%dir /opt/kde3/share/templates/.source
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
%dir /opt/kde3/share/config/magic
%dir /opt/kde3/share/icons/hicolor/128x128
%dir /opt/kde3/share/icons/hicolor/64x64
%dir /opt/kde3/share/icons/hicolor/48x48
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/scalable
/opt/kde3/bin/ko*
/opt/kde3/bin/krossrunner
/opt/kde3/%_lib/kde3/clipartthumbnail.*
/opt/kde3/%_lib/kde3/kfile_koffice.*
/opt/kde3/%_lib/kde3/kfile_abiword.*
/opt/kde3/%_lib/kde3/kfile_gnumeric.*
/opt/kde3/%_lib/kde3/ko*
/opt/kde3/%_lib/kde3/libgenerickofilter.*
/opt/kde3/%_lib/kde3/libkfolatexexport.*
/opt/kde3/%_lib/kde3/libkfomathml*
/opt/kde3/%_lib/kde3/libkfopngexport.*
/opt/kde3/%_lib/kde3/libkounavailpart.*
/opt/kde3/%_lib/kde3/libxslt*
/opt/kde3/%_lib/kde3/kfile_ooo.*
/opt/kde3/%_lib/kde3/kthesaurus.*
/opt/kde3/%_lib/libkdeinit_koshell.*
/opt/kde3/%_lib/libkdeinit_kthesaurus.*
/opt/kde3/%_lib/libko*
/opt/kde3/%_lib/libkstore.*
/opt/kde3/%_lib/libkwmf.*
/opt/kde3/%_lib/libkformulalib.*
/opt/kde3/%_lib/libkrossapi.*
/opt/kde3/%_lib/libkrossmain.*
/opt/kde3/%_lib/kde3/libkfosvgexport.*
/opt/kde3/share/appl*/*/koshell.desktop
/opt/kde3/share/apps/koffice/hyphdicts
/opt/kde3/share/apps/koffice/icons
/opt/kde3/share/apps/koffice/koffice_shell.rc
/opt/kde3/share/apps/koffice/pics
/opt/kde3/share/apps/kofficewidgets
/opt/kde3/share/apps/koshell
/opt/kde3/share/apps/xsltfilter
/opt/kde3/share/apps/kross
%doc %lang(en) /opt/kde3/share/doc/HTML/en/koffice*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/koshell
/opt/kde3/share/config.kcfg/koshell.kcfg
/opt/kde3/share/icons/*/*/*/abs.png
/opt/kde3/share/icons/*/*/*/brackets.png
/opt/kde3/share/icons/*/*/*/frac.png
/opt/kde3/share/icons/*/*/*/gsub.png
/opt/kde3/share/icons/*/*/*/gsup.png
/opt/kde3/share/icons/*/*/*/int.png
/opt/kde3/share/icons/*/*/*/inscol.png
/opt/kde3/share/icons/*/*/*/insrow.png
/opt/kde3/share/icons/*/*/*/lsub.png
/opt/kde3/share/icons/*/*/*/lsup.png
/opt/kde3/share/icons/*/*/*/matrix.png
/opt/kde3/share/icons/*/*/*/multiline.png
/opt/kde3/share/icons/*/*/*/onetwomatrix.png
/opt/kde3/share/icons/*/*/*/over.png
/opt/kde3/share/icons/*/*/*/paren.png
/opt/kde3/share/icons/*/*/*/prod.png
/opt/kde3/share/icons/*/*/*/remcol.png
/opt/kde3/share/icons/*/*/*/remrow.png
/opt/kde3/share/icons/*/*/*/rsub.png
/opt/kde3/share/icons/*/*/*/rsup.png
/opt/kde3/share/icons/*/*/*/sqrt.png
/opt/kde3/share/icons/*/*/*/sum.png
/opt/kde3/share/icons/*/*/*/under.png
/opt/kde3/share/icons/*/*/*/koshell.*
/opt/kde3/share/services/clipartthumbnail.desktop
/opt/kde3/share/services/generic_filter.desktop
/opt/kde3/share/services/kformula*
/opt/kde3/share/services/kfile*
/opt/kde3/share/services/ko*
/opt/kde3/share/services/xslt_*
/opt/kde3/share/servicetypes/ko*
/opt/kde3/share/servicetypes/widgetfactory.desktop

%files python
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/krosspython.*
#/opt/kde3/share/apps/kexi/scripts/exportxhtml/ExportXHTML.py
#/opt/kde3/share/apps/kexi/scripts/exportxhtml/ExportXHTML.rc
#/opt/kde3/share/share/apps/kexi/scripts/importxhtml/ImportXHTML.py
#/opt/kde3/share/apps/kexi/scripts/importxhtml/ImportXHTML.rc
#/opt/kde3/share/share/apps/kexi/scripts/projectdocumentor/ProjectDocumentor.py
#/opt/kde3/share/apps/kexi/scripts/projectdocumentor/ProjectDocumentor.rc
#/opt/kde3/share/share/apps/krita/scripts/invert.py
#/opt/kde3/share/share/apps/krita/scripts/reshapehisto.py
%if %suse_version > 930

%files ruby
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/krossruby.*
#/opt/kde3/share/apps/krita/scripts/ruby/invert.rb
#/opt/kde3/share/apps/krita/scripts/ruby/changecs.rb
#/opt/kde3/share/apps/krita/scripts/ruby/randompaint.rb
%endif

%files wordprocessing
%defattr(-,root,root)
/opt/kde3/bin/kformula
/opt/kde3/bin/kthesaurus
/opt/kde3/bin/kword
/opt/kde3/%_lib/kde3/kwmailmerge_*
/opt/kde3/%_lib/kde3/libabiword*
/opt/kde3/%_lib/kde3/libamipro*
/opt/kde3/%_lib/kde3/libapplixwordimport.*
/opt/kde3/%_lib/kde3/libhancomwordimport.*
/opt/kde3/%_lib/kde3/libascii*
/opt/kde3/%_lib/kde3/libdocbookexport.*
/opt/kde3/%_lib/kde3/libhtml*
/opt/kde3/%_lib/kde3/libkformulapart.*
/opt/kde3/%_lib/kde3/libkword*
/opt/kde3/%_lib/kde3/libmsw*
/opt/kde3/%_lib/kde3/liboowriter*
/opt/kde3/%_lib/kde3/libp*
/opt/kde3/%_lib/kde3/librtf*
/opt/kde3/%_lib/kde3/libthesaurustool.*
/opt/kde3/%_lib/kde3/libwml*
/opt/kde3/%_lib/kde3/libwp*
/opt/kde3/%_lib/kde3/kformula.*
/opt/kde3/%_lib/kde3/kword.*
/opt/kde3/%_lib/libkdeinit_kformula.*
/opt/kde3/%_lib/libkdeinit_kword.*
/opt/kde3/%_lib/libkwmailmerge_interface.*
/opt/kde3/%_lib/libkwordexportfilters.*
/opt/kde3/%_lib/libkwordprivate.*
/opt/kde3/share/appl*/*/KThesaurus.desktop
/opt/kde3/share/appl*/*/kformula.desktop
/opt/kde3/share/appl*/*/kword.desktop
/opt/kde3/share/apps/kformula
/opt/kde3/share/apps/koffice/autocorrect
/opt/kde3/share/apps/kword
/opt/kde3/share/apps/thesaurus
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kformula
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kword
%doc %lang(en) /opt/kde3/share/doc/HTML/en/thesaurus
/opt/kde3/share/icons/*/*x*/*/kword.png
/opt/kde3/share/services/kw*
/opt/kde3/share/services/thesaurustool.desktop
/opt/kde3/share/servicetypes/kwmailmerge.desktop
/opt/kde3/share/icons/*/*x*/*/kformula.png
/opt/kde3/share/apps/konqueror/servicemenus/kformula_konqi.desktop
/opt/kde3/share/apps/konqueror/servicemenus/kword_konqi.desktop
/opt/kde3/share/templates/TextDocument.desktop
/opt/kde3/share/templates/.source/TextDocument.kwt

%files spreadsheet
%defattr(-,root,root)
/opt/kde3/bin/kchart
/opt/kde3/bin/kspread
/opt/kde3/%_lib/kde3/kchart.*
/opt/kde3/%_lib/kde3/libapplixspreadimport.*
/opt/kde3/%_lib/kde3/libcsv*
/opt/kde3/%_lib/kde3/libdbaseimport.*
/opt/kde3/%_lib/kde3/libgnumeric*
/opt/kde3/%_lib/kde3/libkspread*
/opt/kde3/%_lib/kde3/libopencalc*
/opt/kde3/%_lib/kde3/libqproimport.*
/opt/kde3/%_lib/kde3/libkchart*
/opt/kde3/%_lib/kde3/libexcelimport.*
/opt/kde3/%_lib/kde3/kspread.*
/opt/kde3/%_lib/libkdeinit_kchart.*
/opt/kde3/%_lib/libkdeinit_kspread.*
/opt/kde3/%_lib/libkdchart.*
/opt/kde3/%_lib/libkchartcommon.*
/opt/kde3/%_lib/libkspreadcommon.*
/opt/kde3/%_lib/libkchartimageexport.*
/opt/kde3/share/appl*/*/kchart.desktop
/opt/kde3/share/appl*/*/kspread.desktop
/opt/kde3/share/apps/kchart
/opt/kde3/share/apps/kspread
/opt/kde3/share/services/kchart*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kspread
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kchart
/opt/kde3/share/icons/*/*x*/*/kchart.png
/opt/kde3/share/icons/*/*x*/*/kspread.png
/opt/kde3/share/services/kspread*
/opt/kde3/share/apps/konqueror/servicemenus/kspread_konqi.desktop
/opt/kde3/share/apps/konqueror/servicemenus/kchart_konqi.desktop
/opt/kde3/share/templates/SpreadSheet.desktop
/opt/kde3/share/templates/.source/SpreadSheet.kst

%files database-psql
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kexidb_pqxxsqldriver.*
/opt/kde3/%_lib/kde3/keximigrate_pqxx.*
/opt/kde3/share/services/kexidb_pqxxsqldriver.desktop
/opt/kde3/share/services/keximigrate_pqxx.desktop

%files database-mysql
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kexidb_mysqldriver.*
/opt/kde3/%_lib/kde3/keximigrate_mysql.*
/opt/kde3/share/services/kexidb_mysqldriver.desktop
/opt/kde3/share/services/keximigrate_mysql.desktop

%files database
%defattr(-,root,root)
/opt/kde3/bin/kexi
/opt/kde3/bin/ksqlite*
/opt/kde3/%_lib/kde3/kexi.*
/opt/kde3/%_lib/kde3/kexidb_sqlite2driver.*
/opt/kde3/%_lib/kde3/kexidb_sqlite3driver.*
/opt/kde3/%_lib/kde3/kexihandler*
/opt/kde3/%_lib/libkdeinit_kexi.*
/opt/kde3/%_lib/libkexi*
/opt/kde3/%_lib/libkformdesigner.*
/opt/kde3/%_lib/kde3/kformdesigner_containers.*
/opt/kde3/%_lib/kde3/kformdesigner_kexidbwidgets.*
/opt/kde3/%_lib/kde3/kformdesigner_stdwidgets.*
/opt/kde3/%_lib/kde3/krosskexiapp.*
/opt/kde3/%_lib/kde3/krosskexidb.*
/opt/kde3/share/appl*/*/kexi.desktop
/opt/kde3/share/apps/kexi
/opt/kde3/share/apps/konqueror/servicemenus/kexi_konqi.desktop
/opt/kde3/share/config/kexirc
/opt/kde3/share/config/magic/kexi.magic
/opt/kde3/share/icons/*/*/*/kexi*
/opt/kde3/share/mimelnk/application/x-kexiproject-*.desktop
/opt/kde3/share/mimelnk/application/x-kexi-connectiondata.desktop
/opt/kde3/share/services/kexi
/opt/kde3/share/services/kexidb_sqlite2driver.desktop
/opt/kde3/share/services/kexidb_sqlite3driver.desktop
/opt/kde3/share/servicetypes/kexi*.desktop
/opt/kde3/share/services/kformdesigner*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kexi
%if %suse_version < 1001
/opt/kde3/share/config/magic/msaccess.magic
/opt/kde3/share/config/magic/sqlite.magic
/opt/kde3/share/mimelnk/application/x-sqlite2.desktop
/opt/kde3/share/mimelnk/application/x-sqlite3.desktop
%endif

%files presentation
%defattr(-,root,root)
/opt/kde3/bin/kpr*
/opt/kde3/%_lib/kde3/libkpr*
/opt/kde3/%_lib/kde3/libooimpressimport.*
/opt/kde3/%_lib/kde3/libooimpressexport.*
/opt/kde3/%_lib/kde3/kpresenter.*
/opt/kde3/%_lib/libkdeinit_kpresenter.*
/opt/kde3/%_lib/libkpresenterimageexport.*
/opt/kde3/%_lib/libkpresenterprivate.*
/opt/kde3/share/appl*/*/kpresenter.desktop
/opt/kde3/share/apps/kpresenter
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kpresenter
/opt/kde3/share/icons/*/*x*/*/kpresenter.png
/opt/kde3/share/services/kpr*
/opt/kde3/share/apps/konqueror/servicemenus/kpresenter_konqi.desktop
/opt/kde3/share/templates/Presentation.desktop
/opt/kde3/share/templates/.source/Presentation.kpt

%files illustration
%defattr(-,root,root)
/opt/kde3/bin/karbon
/opt/kde3/bin/kivio
/opt/kde3/bin/krita
/opt/kde3/%_lib/kde3/krita*
/opt/kde3/%_lib/kde3/karbon.*
/opt/kde3/%_lib/kde3/karbon_*
/opt/kde3/%_lib/kde3/libkarbon*
/opt/kde3/%_lib/kde3/libkivio*
/opt/kde3/%_lib/kde3/libwmf*
/opt/kde3/%_lib/kde3/straight_connector.*
/opt/kde3/%_lib/kde3/kivio.*
/opt/kde3/%_lib/kde3/libkrita*
/opt/kde3/%_lib/kde3/liboodrawimport.*
/opt/kde3/%_lib/kde3/krosskritacore.*
/opt/kde3/%_lib/libkdeinit_karbon.*
/opt/kde3/%_lib/libkdeinit_kivio.*
/opt/kde3/%_lib/libkdeinit_krita.*
/opt/kde3/%_lib/libkivio*
/opt/kde3/%_lib/libkrita*
/opt/kde3/%_lib/libkarbon*
/opt/kde3/share/apps/konqueror/servicemenus/krita_konqi.desktop
/opt/kde3/share/config.kcfg/kivio.kcfg
/opt/kde3/share/appl*/*/karbon.desktop
/opt/kde3/share/appl*/*/kivio.desktop
/opt/kde3/share/appl*/*/krita.desktop
/opt/kde3/share/appl*/*/krita_magick.desktop
/opt/kde3/share/appl*/*/krita_openexr.desktop
/opt/kde3/share/appl*/*/krita_png.desktop
/opt/kde3/share/appl*/*/krita_jpeg.desktop
/opt/kde3/share/appl*/*/krita_raw.desktop
/opt/kde3/share/appl*/*/krita_tiff.desktop
/opt/kde3/share/apps/karbon
/opt/kde3/share/apps/kivio
/opt/kde3/share/apps/krita
/opt/kde3/share/apps/kritaplugins
/opt/kde3/share/icons/*/*/*/karbon.*
/opt/kde3/share/icons/*/*x*/*/kivio.png
/opt/kde3/share/icons/*/*/*/krita.*
/opt/kde3/share/services/karbon*
/opt/kde3/share/services/krita*
/opt/kde3/share/services/kivio*
/opt/kde3/share/servicetypes/krita_*.desktop
/opt/kde3/share/servicetypes/karbon_module.desktop
%doc %lang(en) /opt/kde3/share/doc/HTML/en/karbon
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kivio
%doc %lang(en) /opt/kde3/share/doc/HTML/en/krita
/opt/kde3/share/apps/konqueror/servicemenus/kivio_konqi.desktop
/opt/kde3/share/apps/konqueror/servicemenus/karbon_konqi.desktop
/opt/kde3/share/templates/Illustration.desktop
/opt/kde3/share/templates/.source/Illustration.karbon

%files planning
%defattr(-,root,root)
/opt/kde3/bin/kplato
/opt/kde3/%_lib/kde3/kplato.*
/opt/kde3/share/icons/*/*/*/kplato.*
/opt/kde3/share/services/kplatopart.desktop
/opt/kde3/share/apps/kplato
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kplato
/opt/kde3/%_lib/kde3/libkplatopart.*
/opt/kde3/%_lib/libkdeinit_kplato.*
/opt/kde3/share/appl*/*/kplato.desktop

%files extra
%defattr(-,root,root)
/opt/kde3/bin/ku*
/opt/kde3/%_lib/kde3/libku*
/opt/kde3/%_lib/kde3/kudesigner.*
/opt/kde3/%_lib/kde3/kugar.*
/opt/kde3/%_lib/libkdeinit_kudesigner.*
/opt/kde3/%_lib/libkdeinit_kugar.*
/opt/kde3/%_lib/libku*
/opt/kde3/share/appl*/*/ku*
/opt/kde3/share/apps/ku*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kugar
/opt/kde3/share/icons/*/*x*/*/kudesigner.png
/opt/kde3/share/icons/*/*x*/*/kugar.png
/opt/kde3/share/icons/*/*/mimetypes/kugardata.*
/opt/kde3/share/services/kugarpart.desktop
/opt/kde3/share/services/kugar_kugar_import.desktop

%files devel
%defattr(-,root,root)
/opt/kde3/include/*

%changelog -n koffice
* Mon Jul 10 2006 - stbinner@suse.de
- update to KOffice 1.5.2
  * several crash and bug fixes, for a complete list see
  http://www.koffice.org/announcements/changelog-1.5.2.php
* Fri Jun 02 2006 - stbinner@suse.de
- fix build for < 10.1 and for < 10.0
- remove 9.2 and supplementary specific stuff
* Fri Jun 02 2006 - stbinner@suse.de
- recommend koffice-illustration-plugins for koffice-illustration
* Fri May 19 2006 - stbinner@suse.de
- Kexi: fix forms plugin not being loaded
- Kexi: fix possible data loss in forms
* Fri May 19 2006 - stbinner@suse.de
- fix build
* Thu May 18 2006 - stbinner@suse.de
- updated 1.5.1 release tarball (corrected version numbers,
  crash fix within Kexi, common kword/kpresenter crash fix)
* Fri May 12 2006 - adrian@suse.de
- update to KOffice 1.5.1
  * fixes in KOffice libraries, KWord, KSpread, KPresenter, Kexi,
  Krita, Karbon, KPlato, Karbon, KFormula and within filters
  * translation updates
- drop WP support for 10.0, to be able to build against 10.0
  directly without KDE supplementary
* Tue Mar 07 2006 - ltinkl@suse.cz
- fix koffice.rpm depend on koffice-database.rpm (#154996)
* Wed Feb 15 2006 - stbinner@suse.de
- fix %%suse_update_desktop_file parameter order
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - stbinner@suse.de
- going back to stable KOffice 1.4.2 release
* Mon Jan 09 2006 - stbinner@suse.de
- remove "external-sqlite.diff" patch (#121933) after discussion
* Wed Jan 04 2006 - stbinner@suse.de
- fix build
* Mon Jan 02 2006 - stbinner@suse.de
- update to SVN, more or less the never released "Alpha"
* Fri Dec 16 2005 - stbinner@suse.de
- update to SVN for latest xpdf fixes
- split KPlato into koffice-planning subpackage
* Fri Dec 09 2005 - stbinner@suse.de
- update to SVN to fix xpdf overflows, CVE-2005-3193 (#137156)
* Sun Dec 04 2005 - stbinner@suse.de
- update to current SVN
* Sat Nov 19 2005 - stbinner@suse.de
- update to KOffice 1.5 devel snapshot
* Mon Oct 24 2005 - stbinner@suse.de
- fix compilation (with gcc 4.0.3/4.1)
* Wed Oct 19 2005 - sbrabec@suse.cz
- Build with libwpd-devel.
* Tue Oct 18 2005 - stbinner@suse.de
- remove extra qualification for gcc 4.1 compilation
* Fri Oct 07 2005 - stbinner@suse.de
- update to version 1.4.2
* Tue Oct 04 2005 - stbinner@suse.de
- depend on libwpd for WordPerfect import filter
* Wed Sep 28 2005 - dmueller@suse.de
- fix build on x86_64
* Fri Sep 09 2005 - stbinner@suse.de
- Fix selection filling crash
* Thu Sep 08 2005 - stbinner@suse.de
- Fix Kivio connector icon installation (#113240)
* Tue Aug 30 2005 - adrian@suse.de
- krita is really not a vector application (#112703)
* Thu Aug 25 2005 - coolo@suse.de
- krita is gimp like (#112703)
* Mon Jul 25 2005 - adrian@suse.de
- update to version 1.4.1
- TOFIX: the subpackage split is not clean yet
  wordperfect filter not enabled yet
* Thu Jun 16 2005 - adrian@suse.de
- update to final version 1.4.0
* Tue Jun 07 2005 - adrian@suse.de
- fix build finaly and remove obsolete patches
* Mon Jun 06 2005 - ro@suse.de
- fix one possible non-void missing return value
* Wed Jun 01 2005 - adrian@suse.de
- update to version 1.4 rc 1
* Sun May 29 2005 - aj@suse.de
- Fix GCC4 problems.
* Fri May 20 2005 - ro@suse.de
- hack to build on 64bit
* Wed Apr 27 2005 - adrian@suse.de
- fix file list
* Wed Apr 27 2005 - adrian@suse.de
- fix parallel build
- fix compiler warnings
* Thu Apr 21 2005 - adrian@suse.de
- update to version 1.4 beta 1
  * koffice-database package is back
* Mon Apr 18 2005 - adrian@suse.de
- fix build
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Tue Apr 12 2005 - adrian@suse.de
- add kdelibs3-arts to nfb
* Wed Mar 23 2005 - adrian@suse.de
- fix linking of applications to make them startable at all
* Sat Mar 05 2005 - adrian@suse.de
- fix build for released distributions
* Thu Feb 17 2005 - adrian@suse.de
- menu entries moved to xdg dir
* Tue Feb 15 2005 - ltinkl@suse.cz
- fix buffer overflows in xpdf code (#49840)
* Thu Jan 06 2005 - ltinkl@suse.cz
- build without unsermake
- fix xpdf vulnerability (#47730)
* Thu Nov 18 2004 - adrian@suse.de
- update to version 1.3.5
- fix kudesigner desktop entry
* Wed Oct 27 2004 - adrian@suse.de
- update to version 1.3.4
* Thu Sep 16 2004 - adrian@suse.de
- use official 1.3.3 version, minor changes
* Tue Sep 14 2004 - adrian@suse.de
- update to current BRANCH
- remove mad from nfb
* Tue Aug 31 2004 - coolo@suse.de
- deactivate unsermake for now. The probability of it causing problems
  on parallel builds is not 0 right now (even though pretty small)
* Fri Jul 02 2004 - adrian@suse.de
- update to version 1.3.2
* Tue May 04 2004 - adrian@suse.de
- update to version 1.3.1
* Tue Apr 27 2004 - adrian@suse.de
- apply 1_3_BRANCH to fix build
- use unsermake
* Tue Apr 06 2004 - ltinkl@suse.cz
- _really_ put the Kivio connector in the right package (#36057 and #38151)
- put the OOo Impress export filter in the right package
  (wordprocessing -> presentation)
- put the OOo kfile-plugin in koffice instead of wordprocessing
* Fri Apr 02 2004 - adrian@suse.de
- move straight connector tool plugin to right subpackage
  (#38151)
* Tue Jan 27 2004 - adrian@suse.de
- fix build for SuSE 9.0 and older
* Mon Jan 26 2004 - adrian@suse.de
- update to 1.3 final
* Fri Dec 19 2003 - adrian@suse.de
- fix build for KDE 3.2
* Thu Dec 18 2003 - adrian@suse.de
- fix build with KDE 3.1/ Qt 3.2
* Thu Dec 18 2003 - adrian@suse.de
- fix build
* Wed Dec 17 2003 - adrian@suse.de
- update to version 1.2.95
* Thu Oct 30 2003 - adrian@suse.de
- fix build
* Tue Oct 28 2003 - adrian@suse.de
- update to 1.2.94 (beta 5)
* Tue Oct 28 2003 - adrian@suse.de
- fix file conflicts
* Fri Oct 24 2003 - adrian@suse.de
- fix build with KDE 3.2
* Thu Sep 25 2003 - adrian@suse.de
- update to 1.2.93 (beta 4)
- clean up some bits
* Wed Sep 17 2003 - kukuk@suse.de
- remove duplicate provide/obsolete for kugar from koffice
* Tue Sep 16 2003 - ro@suse.de
- removed wrong provides/obsoletes for kivio (#31062)
* Sun Sep 14 2003 - adrian@suse.de
- fix Categories
* Tue Sep 09 2003 - adrian@suse.de
- fix kformula font usage, in the way Lukas told me (#29308)
* Sun Sep 07 2003 - adrian@suse.de
- Category fixes
* Wed Aug 13 2003 - adrian@suse.de
- fix build for all architectures
* Sun Aug 10 2003 - adrian@suse.de
- update to version 1.2.92 (1.3 beta 3)
* Fri Aug 08 2003 - adrian@suse.de
- update to version 1.2.91 (1.3 beta 2)
- add Categories
* Tue Jun 03 2003 - coolo@suse.de
- don't install non-ttf files of the esstix fonts
* Thu May 22 2003 - adrian@suse.de
- do not package sun files on 8.2
* Wed Apr 23 2003 - adrian@suse.de
- fix build on 64bit
* Mon Apr 21 2003 - adrian@suse.de
- add esstix formula fonts for kformula
* Tue Apr 15 2003 - adrian@suse.de
- fix build finaly
* Tue Apr 15 2003 - adrian@suse.de
- fix build for 8.2
* Tue Apr 15 2003 - adrian@suse.de
- update to version 1.2.90 (1.3 beta 1)
* Tue Feb 11 2003 - adrian@suse.de
- fix build
* Fri Feb 07 2003 - adrian@suse.de
- add pdfimporter for kword
* Fri Jan 31 2003 - adrian@suse.de
- fix build
- add Dia stencils for kivio
* Wed Jan 29 2003 - adrian@suse.de
- use current 1_2_BRANCH
  * fixes kword crashes
  * obsoletes gcc 3.3 patch
* Sun Jan 26 2003 - adrian@suse.de
- fix build for gcc 3.3
* Thu Dec 05 2002 - adrian@suse.de
- package kontour desktop link again
  (kontour does not start without and it seems not to be broken anymore)
* Tue Dec 03 2002 - adrian@suse.de
- update to official 1.2.1 version
* Sun Nov 24 2002 - adrian@suse.de
- update BRANCH.diff
  * fixes kspread crash
* Mon Nov 11 2002 - coolo@suse.de
- neededforbuilds += vorbis devel
* Wed Sep 04 2002 - coolo@suse.de
- update the branch fixes again to really
  include the koshell crash fix
* Wed Sep 04 2002 - adrian@suse.de
- update to final final tar ball
- add branch fixes
  * fix koshell crash on quit
  * fix kspread issues
* Mon Sep 02 2002 - adrian@suse.de
- update to final version 1.2
- menu entry for kontour is removed, since it is too broken atm
* Fri Aug 09 2002 - adrian@suse.de
- fix file list
* Wed Jul 31 2002 - adrian@suse.de
- update to version 1.2rc1
* Wed Jul 10 2002 - adrian@suse.de
- split package into -illustration, -presentation, -spreadsheet,
-wordprocessing and -extra
* Fri Jun 28 2002 - adrian@suse.de
- do even apply Davids fix :(
* Thu Jun 27 2002 - uli@suse.de
- use %%_lib in file list as well...
* Tue Jun 25 2002 - adrian@suse.de
- apply hotfix from David for kivio crash on startup
* Sat Jun 22 2002 - adrian@suse.de
- update to version 1.2beta2
* Mon Jun 03 2002 - coolo@suse.de
- fixing for automake 1.6 and using update_admin and configkde
* Fri May 17 2002 - coolo@suse.de
- update admin dir and use %%_lib
* Tue May 14 2002 - adrian@suse.de
- re-apply old patches to fix gcc 3.1 issues
* Mon May 13 2002 - adrian@suse.de
- fix kword/kooka interaction (patch from freitag)
* Sat May 11 2002 - adrian@suse.de
- use again 1.1.1 for our update service.
* Wed Apr 24 2002 - coolo@suse.de
- updated the tar ball (KDE habit :)
* Fri Apr 19 2002 - adrian@suse.de
- update to version 1.2 beta 1
* Tue Apr 16 2002 - coolo@suse.de
- turning the patch upsidedown (grr)
* Tue Apr 16 2002 - coolo@suse.de
- another gcc 3.1 fix for ppc
* Sun Apr 14 2002 - coolo@suse.de
- adding gcc 3.1 fix
* Tue Mar 26 2002 - kukuk@suse.de
- Fix path of "common_compile_options"
* Thu Mar 21 2002 - adrian@suse.de
- update tar ball to latest 3_0_BRANCH
* Tue Mar 05 2002 - adrian@suse.de
- fix build :(
* Mon Mar 04 2002 - adrian@suse.de
- update to a snapshot from 1_1_BRANCH_KDE_3
- this is version 1.1.1 ported for KDE 3
* Thu Feb 07 2002 - sf@suse.de
- added a patch to alpha.dif to build with gcc 3.x
  (a Namespace problem)
* Sun Feb 03 2002 - adrian@suse.de
- remove -devel-doc package.
* Fri Dec 14 2001 - adrian@suse.de
- remove unneeded documentation
* Wed Dec 12 2001 - adrian@suse.de
- update to second try of final 1.1.1 version
* Tue Dec 11 2001 - adrian@suse.de
- update to version 1.1.1
* Wed Nov 14 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Thu Nov 08 2001 - ro@suse.de
- use qt-devel-packages
* Fri Aug 24 2001 - adrian@suse.de
- update to real final 1.1 tar ball
  * Drawing of selection in a justified paragraph
  * Correct ruler offset when scrolling (big bug !)
  * Some UI issue in the paragdia.
- post 1.1 fix for tab allignement in kword
* Mon Aug 20 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 16 2001 - adrian@suse.de
- update to 1.1
* Mon Aug 06 2001 - adrian@suse.de
- drop application API documentation. lib API is enough.
* Thu Aug 02 2001 - adrian@suse.de
- add KDE 2.2 support
* Thu Jul 26 2001 - adrian@suse.de
- fixed file list (fixes plugin problems in kivio)
- add all application classes to API documentation
* Tue Jul 24 2001 - adrian@suse.de
- update to 1.1rc1
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
- generate API documentation
* Mon Jun 18 2001 - adrian@suse.de
- update to 1.1beta3
* Thu May 17 2001 - adrian@suse.de
- update to 1.1beta2
* Sat Apr 21 2001 - adrian@suse.de
- using updated 1.1beta1 tar ball
  (fixed crash in kword by using letter)
* Fri Apr 20 2001 - adrian@suse.de
- update to 1.1 beta 1
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- using official tar ball
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Wed Feb 28 2001 - ro@suse.de
- added fam to neededforbuild
- added stdlib.h include in kspread_canvas.cc
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Mon Nov 06 2000 - ro@suse.de
- fixed specfile
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - adrian@suse.de
- drop -j 6
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Mon Jul 24 2000 - adrian@suse.de
- update to second try of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to KDE 1.90 version
* Sat Apr 29 2000 - adrian@suse.de
- newer snapshot from 25.04.2000
* Wed Apr 19 2000 - adrian@suse.de
- first snapshot from 17.04.2000
  still pre beta
